package states 
{
	import core.Assets;
	import core.Game;
	import interfaces.IState;
	import starling.display.Button;
	import starling.display.Sprite;
	import starling.events.Event;
	
	/**
	 * ...
	 * @author miyijura
	 */
	public class Menu extends Sprite implements IState 
	{
		private var game:Game;
		
		public function Menu(game:Game) 
		{
			this.game = game;
			addEventListener(Event.ADDED_TO_STAGE, init);
			
		}
		
		private function init(e:Event):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			
			//start_button.addEventListener(Event.TRIGGERED, playMe);
			
		}
		
		private function playMe(e:Event):void 
		{
			game.changeState(Game.PLAY_STATE);
		}
		
		/* INTERFACE interfaces.IState */
		
		public function update():void 
		{
			
		}
		
		public function destroy():void 
		{
			//quitamos del display list y lo enviamos al garbage collector
			/*game_background.removeFromParent(true);
			game_background = null;
			removeFromParent(true);*/
		}
		
	}

}